package com.bonus.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class MenuEvaluaDetailAddDTO implements Serializable {
   @ApiModelProperty("餐品类型(1-菜品,2-套餐,3-商品)")
   private Integer mealType;
   @ApiModelProperty("餐品id")
   private Long mealId;
   @ApiModelProperty("星级")
   private @NotNull(
   message = "{menu_star_level_null}"
) Integer starLevel;

   public Integer getMealType() {
      return this.mealType;
   }

   public Long getMealId() {
      return this.mealId;
   }

   public Integer getStarLevel() {
      return this.starLevel;
   }

   public void setMealType(final Integer mealType) {
      this.mealType = mealType;
   }

   public void setMealId(final Long mealId) {
      this.mealId = mealId;
   }

   public void setStarLevel(final Integer starLevel) {
      this.starLevel = starLevel;
   }
}
